View Issue Details

IDProjectCategoryView StatusLast Update
399RackTablesdefaultpublic2019-01-08 11:54
Reporteruser205Assigned Toinfrastation 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.0 
Target Version0.19.1Fixed in Version0.19.1 
Summary399: Unable to mount any server in the RackSpace
DescriptionHi,

I have configured Racktables 0.19 on Centos 5. PCRE is already installed with utf support. Whenever I try to mount any Server in any Rack I get the below error

Pdo exception: PDOException
SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '?AND unit_no=?AND atom=?' at line 1 (42000)

at file /var/www/html/racktables/wwwroot/inc/database.php, line 2681

/var/www/html/racktables/wwwroot/inc/database.php:2681 prepare('UPDATE RackSpace SET object_id=? WHERE rack_id=?AND unit_no=?AND atom=?')
/var/www/html/racktables/wwwroot/inc/database.php:949 usePreparedUpdateBlade('RackSpace', Array
(
    [object_id] => 14
)
, Array
(
    [rack_id] => 1
    [unit_no] => 25
    [atom] => front
)
)
/var/www/html/racktables/wwwroot/inc/ophandlers.php:1071 processGridForm(Array
(
    [realm] => rack
    [id] => 1
    [name] => Rack1
    [height] => 42
    [comment] =>
    [row_id] => 2
    [row_name] => Corporate Data Center
    [etags] => Array
        (
            [0] => Array
                (
                    [id] => 1
                    [tag] => Rack
                    [parent_id] =>
                )

        )

    [itags] => Array
        (
        )



Also, if I upgrade from 0.18.6 to 0.19 I get the below error on the Racks or Servers which were already there in 0.18.6

Unhandled exception: Object 'object'#'' does not exist


PHP packages installed on

php-snmp-5.1.6-27.el5_5.3
php-ldap-5.1.6-27.el5_5.3
php-pear-1.4.9-6.el5
php-cli-5.1.6-27.el5_5.3
php-mysql-5.1.6-27.el5_5.3
php-pecl-json-1.2.1-4.el5
php-pdo-5.1.6-27.el5_5.3
php-gd-5.1.6-27.el5_5.3
php-mbstring-5.1.6-27.el5_5.3
php-devel-5.1.6-27.el5_5.3
php-5.1.6-27.el5_5.3


Regards

Ankush
TagsNo tags attached.

Relationships

has duplicate 415 closedinfrastation Object 'object'#'' does not exist error when trying to view object details 

Activities

infrastation

infrastation

2011-02-18 15:53

administrator   ~0000254

Do you get any errors with the following change applied?

===================================================================
--- trunk/wwwroot/inc/database.php (revision 4234)
+++ trunk/wwwroot/inc/database.php (revision 4235)
@@ -2680,7 +2680,7 @@
     $query .= ' WHERE ';
     foreach (array_keys ($where_columns) as $colname)
     {
- $query .= "${conj} ${colname}=?";
+ $query .= " ${conj} ${colname}=?";
         $conj = $conjunction;
     }
     try

2011-02-20 10:00

 

racktables.png (28,570 bytes)
racktables.png (28,570 bytes)

user205

2011-02-20 10:01

  ~0000255

I am able to add the objects in the Rackspace after making the above changes, however now the Racks View as coming with the name "Error". Please find the attached screenshot.


Regards

Ankush
infrastation

infrastation

2011-02-20 10:11

administrator   ~0000256

Are there any relevant messages in the error log?
infrastation

infrastation

2011-02-20 10:22

administrator   ~0000257

More questions. I see 2 rack images broken. Are these the racks, where you tried mounting the object? If you try mounting into the 3rd rack (one with working image), does it make the image break?

user205

2011-02-21 07:45

  ~0000259

Yes, if I add any object in the 3rd rack also it breaks the image.

Which error log you are talking about Apache?. I do not see any error related to racktables in Apache.


Regards

Ankush
infrastation

infrastation

2011-02-21 15:55

administrator   ~0000263

Well. The image issue requires more time to debug. What are the versions of PHP/MySQL you use?
infrastation

infrastation

2011-02-21 17:49

administrator   ~0000266

1. Ok, I see the versions of PHP packages, but not the MySQL one.
2. How exactly do you reproduce the "Object 'object'#'' does not exist" message you mention in the description?

user205

2011-02-22 07:06

  ~0000267

Whenever I click on the any object or any rack the above error comes. Below are the mysql packages installted on the Centos 5 server.

mysql++-3.0.9-4.el5
mysql-connector-odbc-3.51.26r1127-1.el5
mysql-mmm-2.2.1-1.el5
mysql++-manuals-3.0.9-4.el5
mysql++-devel-3.0.9-4.el5
php-mysql-5.1.6-27.el5_5.3
mysql-server-5.0.77-4.el5_5.4
mysql-mmm-agent-2.2.1-1.el5
mysql-connector-java-5.1.12-2.el5
mysqlreport-3.5-2.el5
perl-DBD-MySQL-3.0007-2.el5
mysql-proxy-0.5.1-2.el5
mysql-mmm-monitor-2.2.1-1.el5
mysqltuner-1.1.1-1.el5
mysql-devel-5.0.77-4.el5_5.4
mysql-mmm-tools-2.2.1-1.el5
mysql-5.0.77-4.el5_5.4
mysql-test-5.0.77-4.el5_5.4
mysql-bench-5.0.77-4.el5_5.4
infrastation

infrastation

2011-03-10 07:49

administrator   ~0000298

That's an odd issue. After version 0.19.2 is released, could you reconfirm, that the problem reproduces with that version?
infrastation

infrastation

2011-03-25 12:28

administrator   ~0000318

Closing. See the linked bug 415 for bugfix and justifications.

Related Changesets

RackTables: master ad498fd6

2011-03-25 10:43:38

infrastation

Details Diff
r4393 processGridForm(): employ transaction to make sure, that the changes either
happen all at once, or don't happen at all (to avoid leaving inconsistent
data in the table like that in bugs 399/415)
Affected Issues
399
mod - wwwroot/inc/database.php Diff File

Issue History

Date Modified Username Field Change
2011-02-16 13:24 user205 New Issue
2011-02-18 15:48 infrastation Status new => assigned
2011-02-18 15:48 infrastation Assigned To => infrastation
2011-02-18 15:53 infrastation Note Added: 0000254
2011-02-18 15:54 infrastation Target Version => 0.19.1
2011-02-20 10:00 user205 File Added: racktables.png
2011-02-20 10:01 user205 Note Added: 0000255
2011-02-20 10:11 infrastation Note Added: 0000256
2011-02-20 10:22 infrastation Note Added: 0000257
2011-02-20 12:28 infrastation Status assigned => feedback
2011-02-21 07:45 user205 Note Added: 0000259
2011-02-21 15:55 infrastation Note Added: 0000263
2011-02-21 15:55 infrastation Status feedback => assigned
2011-02-21 17:49 infrastation Note Added: 0000266
2011-02-21 17:49 infrastation Target Version 0.19.1 => 0.19.2
2011-02-22 07:06 user205 Note Added: 0000267
2011-03-10 07:49 infrastation Note Added: 0000298
2011-03-10 07:49 infrastation Target Version 0.19.2 => 0.19.3
2011-03-25 10:47 infrastation Relationship added has duplicate 415
2011-03-25 12:28 infrastation Note Added: 0000318
2011-03-25 12:28 infrastation Status assigned => closed
2011-03-25 12:28 infrastation Fixed in Version => 0.19.1
2011-03-25 12:28 infrastation Resolution open => fixed
2011-03-25 12:29 infrastation Target Version 0.19.3 => 0.19.1
2019-01-08 11:54 infrastation Changeset attached => RackTables master ad498fd6